html(lang='en')
  head
    meta(charset='utf-8')
    meta(http-equiv='X-UA-Compatible', content='IE=edge')
    meta(name='description', content='A front-end template that helps you build fast, modern mobile web apps.')
    meta(name='viewport', content='width=device-width, initial-scale=1.0, minimum-scale=1.0')
    title Node Simple Blog Platform
    // Add to homescreen for Chrome on Android
    meta(name='mobile-web-app-capable', content='yes')
    link(rel='icon', sizes='192x192', href='/images/android-desktop.png')
    // Add to homescreen for Safari on iOS
    meta(name='apple-mobile-web-app-capable', content='yes')
    meta(name='apple-mobile-web-app-status-bar-style', content='black')
    meta(name='apple-mobile-web-app-title', content='Material Design Lite')
    link(rel='apple-touch-icon-precomposed', href='/images/ios-desktop.png')
    // Tile icon for Win8 (144x144 + tile color)
    meta(name='msapplication-TileImage', content='/images/touch/ms-touch-icon-144x144-precomposed.png')
    meta(name='msapplication-TileColor', content='#3372DF')
    link(rel='shortcut icon', href='images/favicon.png')
    link(rel='stylesheet', href='https://fonts.googleapis.com/css?family=Roboto:regular,bold,italic,thin,light,bolditalic,black,medium&lang=en')
    link(rel='stylesheet', href='https://fonts.googleapis.com/icon?family=Material+Icons')
    link(rel='stylesheet', href='/stylesheets/material.grey-orange.min.css')
    link(rel='stylesheet', href='/stylesheets/getmdl-select.min.css')
    link(rel='stylesheet', href='/stylesheets/style.css')
  body
    .demo-blog.mdl-layout.mdl-js-layout.has-drawer.is-upgraded( class = blogpost ? 'demo-blog--blogpost' : '')
      main.mdl-layout__content
        if back
          .demo-back
            a.mdl-button.mdl-js-button.mdl-js-ripple-effect.mdl-button--icon(href='/', title='go back', role='button')
              i.material-icons(role='presentation') arrow_back
        .demo-blog__posts.mdl-grid
          
          #demo-toast-example.mdl-js-snackbar.mdl-snackbar
            .mdl-snackbar__text
              !=messages()
            button.mdl-snackbar__action(type='button')
          block content
        footer.mdl-mini-footer
          .mdl-mini-footer--left-section
            button.mdl-mini-footer--social-btn.social-btn.social-btn__twitter
              span.visuallyhidden Twitter
            button.mdl-mini-footer--social-btn.social-btn.social-btn__blogger
              span.visuallyhidden Facebook
            button.mdl-mini-footer--social-btn.social-btn.social-btn__gplus
              span.visuallyhidden Google Plus
          .mdl-mini-footer--right-section
            button.mdl-mini-footer--social-btn.social-btn__share
              i.material-icons(role='presentation') share
              span.visuallyhidden share
     .mdl-layout__obfuscator
    script(src='/javascripts/material.min.js')
    script(src='/javascripts/getmdl-select.min.js')
    script(src='/javascripts/custom.js')
    script.
      'use strict';
      var snackbarContainer = document.querySelector('#demo-toast-example');
      
      document.onloadend = function(){
        snackbarContainer.MaterialSnackbar.showSnackbar();
      }
      
